Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.treemasterdetail.ui.swt
Class MasterDetailAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.emf.ecp.view.spi.treemasterdetail.ui.swt.MasterDetailAction

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  GenerateControlsHandler, GenerateTableColumnsForSubclassesHandler, GenerateTableColumnsHandler, OpenPreviewHandler

    public abstract class MasterDetailAction

extends org.eclipse.core.commands.AbstractHandler

Since:
  1.5
Author:
  Alexandra Buzila

Constructor Summary
`MasterDetailAction()`

Method Summary
`abstract void` | `execute(org.eclipse.emf.ecore.EObject object)`
`abstract boolean` | `shouldShow(org.eclipse.emf.ecore.EObject eObject)`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.commands.IHandler
`execute`

Constructor Detail

### MasterDetailAction

    public MasterDetailAction()

Method Detail

### shouldShow

    public abstract boolean shouldShow(org.eclipse.emf.ecore.EObject eObject)

  Parameters:
    `eObject` - the `EObject` on which to test if the action can be executed
  Returns:
    true if the action can be executed on the parameter `eObject`

### execute

    public abstract void execute(org.eclipse.emf.ecore.EObject object)

  Parameters:
    `object` - The `EObject` on which the action is executed

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.